import request from '@/utils/request'

// 查询生产计划及月报列表
export function listMonthplan(query) {
  return request({
    url: '/production/monthplan/list',
    method: 'get',
    params: query
  })
}

// 查询生产计划及月报详细
export function getMonthplan(id) {
  return request({
    url: '/production/monthplan/' + id,
    method: 'get'
  })
}

// 新增生产计划及月报
export function addMonthplan(data) {
  return request({
    url: '/production/monthplan',
    method: 'post',
    data: data
  })
}

// 修改生产计划及月报
export function updateMonthplan(data) {
  return request({
    url: '/production/monthplan',
    method: 'put',
    data: data
  })
}

// 删除生产计划及月报
export function delMonthplan(id) {
  return request({
    url: '/production/monthplan/' + id,
    method: 'delete'
  })
}

// 导出生产计划及月报
export function exportMonthplan(query) {
  return request({
    url: '/production/monthplan/export',
    method: 'get',
    params: query
  })
}
